//https://www.youtube.com/BitaBit

//Para mais informações sobre este código acesse:
//https://youtu.be/U7RcNgb9qBE

//https://bitabittecnologia.com.br

#include <FastLED.h>

//Quantidade de LEDs na fita
#define NUM_LEDS 144

#define DATA_PIN 3

//Pino onde está o potenciômetro
#define ANALOG_IN_PIN 0

//Valor retornado pelo potenciômetro
unsigned int pot_value = 0;

//Valor de LEDs que irão acender
unsigned int led_value = 0;

//Array de LEDs
CRGB leds[NUM_LEDS];

void setup() 
{
  FastLED.addLeds<NEOPIXEL, DATA_PIN>(leds, NUM_LEDS); 
}

void loop() 
{
  pot_value = analogRead(ANALOG_IN_PIN);

  led_value = map(pot_value, 0, 1023, 0, NUM_LEDS);

  //Acende a quantidade de LEDs retornado pelo mapeamento e apaga os restantes
  for(int i=0; i<NUM_LEDS; i++)
  {
    if(i < led_value)
    {
      leds[i] = CRGB(255, 0, 0);
    }
    else
    {
      leds[i] = CRGB(0, 0, 0);
    }
  }

  FastLED.show();
  delay(10);
}